
Base Distribution - Task # 49014

Work Package # 48275 (New): TypoScript consistency

Status: New Priority: Should have
Author: Rens Admiraal Category:
Created: 2013-06-11 Assigned To:
Updated: 2013-10-03 Due date:
Subject: Detect prototype copying leading to a loop
Description

Code like:

prototype(RobertLemke.Plugin.Blog:PostPlugin) < prototype(RobertLemke.Plugin.Blog:PostPlugin) {
    templatePath =
'resource://Radmiraal.RensadmiraalNl/Private/Templates/Plugins/RobertLemke.Plugin.Blog/TypoScript/Post.html'
}

Now ends up in a loop causing the webserver to go into a time-out. This should be detected, and probably logged and ignored during
rendering.

History
#1 - 2013-06-11 08:52 - Sebastian Kurfuerst

needs to be fixed in https://git.typo3.org/FLOW3/Packages/TYPO3.TypoScript.git/blob/HEAD:/Classes/TYPO3/TypoScript/Core/Parser.php#l472

#2 - 2013-07-11 23:11 - Aske Ertmann
- Target version set to 1.0 beta 1

#3 - 2013-10-03 18:52 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24335

#4 - 2013-10-03 20:30 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/24335
